[arch-commits] Commit in python-ioflo/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Sun Mar 13 06:39:31 UTC 2016


    Date: Sunday, March 13, 2016 @ 07:39:31
  Author: fyan
Revision: 166463

archrelease: copy trunk to community-any

Added:
  python-ioflo/repos/community-any/PKGBUILD
    (from rev 166462, python-ioflo/trunk/PKGBUILD)
Deleted:
  python-ioflo/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   86 +++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 53 insertions(+), 33 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-03-13 06:39:14 UTC (rev 166462)
+++ PKGBUILD	2016-03-13 06:39:31 UTC (rev 166463)
@@ -1,33 +0,0 @@
-# $Id$
-# Maintainer: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-
-pkgname=('python-ioflo' 'python2-ioflo')
-pkgver=1.5.0
-pkgrel=1
-pkgdesc='Flo based programming interface in python'
-arch=('any')
-url='http://ioflo.com'
-license=('APACHE')
-source=("https://pypi.python.org/packages/source/i/ioflo/ioflo-$pkgver.tar.gz")
-md5sums=('a5b7f9ef70c918c205db4a497384356d')
-makedepends=(python-setuptools python2-setuptools)
-
-prepare() {
-  cd $srcdir
-  cp -r ioflo-$pkgver python2-ioflo-$pkgver
-}
-
-package_python-ioflo() {
-  depends=('python')
-  cd "$srcdir/ioflo-$pkgver"
-  python3 setup.py install --root="$pkgdir" -O1
-}
-
-package_python2-ioflo() {
-  depends=('python2')
-  cd "$srcdir/python2-ioflo-$pkgver"
-  python2 setup.py install --root="$pkgdir" -O1
-  mv $pkgdir/usr/bin/ioflo $pkgdir/usr/bin/ioflo2
-}
-

Copied: python-ioflo/repos/community-any/PKGBUILD (from rev 166462, python-ioflo/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-03-13 06:39:31 UTC (rev 166463)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgbase=python-ioflo
+pkgname=('python-ioflo' 'python2-ioflo')
+pkgver=1.5.1
+pkgrel=1
+pkgdesc='Flo based programming interface in python'
+arch=('any')
+url='http://ioflo.com'
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'git')
+checkdepends=('python-nose' 'python2-nose')
+source=("git+https://github.com/ioflo/ioflo.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cp -a ioflo{,-py2}
+}
+
+build() {
+  cd "$srcdir"/ioflo
+  python setup.py build
+
+  cd "$srcdir"/ioflo-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/ioflo
+  python setup.py nosetests || warning "Tests failed"
+
+  cd "$srcdir"/ioflo-py2
+  python2 setup.py nosetests || warning "Tests failed"
+}
+
+package_python-ioflo() {
+  depends=('python')
+
+  cd ioflo
+  python setup.py install --root="$pkgdir" -O1
+}
+
+package_python2-ioflo() {
+  depends=('python2')
+
+  cd ioflo-py2
+  python2 setup.py install --root="$pkgdir" -O1
+
+  rm "$pkgdir"/usr/bin/ioflo
+}



More information about the arch-commits mailing list